Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-dev
Navigation:
Lists: gentoo-dev: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-dev@g.o
From: Ulrich Mueller <ulm@g.o>
Subject: Re: Pending removal(?) of media-libs/pdflib
Date: Tue, 22 Feb 2011 08:29:06 +0100
>>>>> On Mon, 21 Feb 2011, Jeremy Olexa wrote:

> The bugs are stacking up[1] and upstream only offers a paid version of 
> pdflib-8[2]. It is my understanding that there is no way for us to 
> package future versions and the bundled libs are vulnerable[3].

> So, should it be removed? For more info, see the tracker bug for its 
> removal[1], there are a number of rdeps that will require fixing[4].

sci-visualization/gnuplot[pdf] is currently linking against pdflib.
I'm going to remove that dependency, because in my understanding,
clause 2.1 of the PDFLite license does not allow such linking.
(It allows it for programs under an OSI approved license. However, the
gnuplot license is free, but not OSI approved.)

Ulrich


Replies:
Re: Pending removal(?) of media-libs/pdflib
-- Mike Frysinger
References:
Pending removal(?) of media-libs/pdflib
-- Jeremy Olexa
Navigation:
Lists: gentoo-dev: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
Re: Pending removal(?) of media-libs/pdflib
Next by thread:
Re: Pending removal(?) of media-libs/pdflib
Previous by date:
Re: Pending removal(?) of media-libs/pdflib
Next by date:
Re: Pending removal(?) of media-libs/pdflib


Updated Jun 29, 2012

Summary: Archive of the gentoo-dev mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.